Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.core
Class QuartzSchedulerMBeanImpl

    java.lang.Object
      javax.management.StandardMBean
          org.quartz.core.QuartzSchedulerMBeanImpl

All Implemented Interfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, NotificationEmitter, QuartzSchedulerMBean, JobListener, SchedulerListener

    public class QuartzSchedulerMBeanImpl

extends StandardMBean
implements NotificationEmitter, QuartzSchedulerMBean, JobListener, SchedulerListener

Field Summary
`protected org.quartz.core.QuartzSchedulerMBeanImpl.Emitter` | `emitter` emitter
`protected AtomicLong` | `sequenceNumber` sequenceNumber

Fields inherited from interface org.quartz.core.jmx.QuartzSchedulerMBean
`JOB_ADDED, JOB_DELETED, JOB_EXECUTION_VETOED, JOB_SCHEDULED, JOB_TO_BE_EXECUTED, JOB_UNSCHEDULED, JOB_WAS_EXECUTED, JOBS_PAUSED, JOBS_RESUMED, SAMPLED_STATISTICS_ENABLED, SAMPLED_STATISTICS_RESET, SCHEDULER_ERROR, SCHEDULER_PAUSED, SCHEDULER_SHUTDOWN, SCHEDULER_STARTED, TRIGGER_FINALIZED, TRIGGERS_PAUSED, TRIGGERS_RESUMED`

Constructor Summary
`protected` | `QuartzSchedulerMBeanImpl(QuartzScheduler scheduler)` QuartzSchedulerMBeanImpl

Method Summary
`void` | `addJob(String instanceId, CompositeData jobDetail, boolean replace)`
`void` | `addNotificationListener(NotificationListener notif, NotificationFilter filter, Object callBack)`
`void` | `deleteCalendar(String instanceId, String name)`
`boolean` | `deleteJob(String instanceId, String jobName, String jobGroupName)`
`TabularData` | `getAllJobDetails(String instanceId)`
`TabularData` | `getAllTriggers(String instanceId)`
`String[]` | `getCalendarNames(String instanceId)`
`TabularData` | `getCurrentlyExecutingJobs()`
`CompositeData` | `getJobDetail(String instanceId, String jobName, String jobGroupName)`
`String[]` | `getJobGroupNames(String instanceId)`
`String[]` | `getJobNames(String instanceId, String groupName)`
`long` | `getJobsCompletedMostRecentSample()`
`long` | `getJobsExecutedMostRecentSample()`
`long` | `getJobsScheduledMostRecentSample()`
`String` | `getJobStoreClassName()`
`String` | `getName()` Get the name of the `JobListener`.
`MBeanNotificationInfo[]` | `getNotificationInfo()`
`Set<String>` | `getPausedTriggerGroups(String instanceId)`
`Map<String,Long>` | `getPerformanceMetrics()`
`String` | `getSchedulerInstanceId()`
`String` | `getSchedulerName()`
`String` | `getThreadPoolClassName()`
`int` | `getThreadPoolSize()`
`CompositeData` | `getTrigger(String instanceId, String triggerName, String triggerGroupName)`
`String[]` | `getTriggerGroupNames(String instanceId)`
`String[]` | `getTriggerNames(String instanceId, String triggerGroupName)`
`TabularData` | `getTriggersOfJob(String instanceId, String jobName, String jobGroupName)`
`int` | `getTriggerState(String instanceId, String triggerName, String triggerGroupName)`
`String` | `getVersion()`
`boolean` | `interruptJob(String instanceId, String jobName, String jobGroupName)`
`boolean` | `isSampledStatisticsEnabled()`
`boolean` | `isShutdown()`
`boolean` | `isStandbyMode()`
`boolean` | `isStarted()`
`void` | `jobAdded(JobDetail jobDetail)` Called by the ``Scheduler`` when a ``JobDetail`` has been added.
`void` | `jobDeleted(String jobName, String groupName)` Called by the ``Scheduler`` when a ``JobDetail`` has been deleted.
`void` | `jobExecutionVetoed(JobExecutionContext context)` Called by the ``Scheduler`` when a ``JobDetail`` was about to be executed (an associated ``Trigger`` has occurred), but a ``TriggerListener`` vetoed it's execution.
`void` | `jobScheduled(Trigger trigger)` Called by the ``Scheduler`` when a ``JobDetail`` is scheduled.
`void` | `jobsPaused(String jobName, String jobGroup)` Called by the ``Scheduler`` when a ``JobDetail`` or group of ``JobDetail`s` has been paused.
`void` | `jobsResumed(String jobName, String jobGroup)` Called by the ``Scheduler`` when a ``JobDetail`` or group of ``JobDetail`s` has been un-paused.
`void` | `jobToBeExecuted(JobExecutionContext context)` Called by the ``Scheduler`` when a ``JobDetail`` is about to be executed (an associated ``Trigger`` has occurred).
`void` | `jobUnscheduled(String triggerName, String triggerGroup)` Called by the ``Scheduler`` when a ``JobDetail`` is unscheduled.
`void` | `jobWasExecuted(JobExecutionContext context, JobExecutionException jobException)` Called by the ``Scheduler`` after a ``JobDetail`` has been executed, and be for the associated `Trigger`'s `triggered(xx)` method has been called.
`void` | `pauseAllTriggers(String instanceId)`
`void` | `pauseJob(String instanceId, String jobName, String groupName)`
`void` | `pauseJobGroup(String instanceId, String jobGroupName)`
`void` | `pauseTrigger(String instanceId, String triggerName, String triggerGroup)`
`void` | `pauseTriggerGroup(String instanceId, String groupName)`
`void` | `removeNotificationListener(NotificationListener listener)`
`void` | `removeNotificationListener(NotificationListener notif, NotificationFilter filter, Object callBack)`
`void` | `resumeAllTriggers(String instanceId)`
`void` | `resumeJob(String instanceId, String jobName, String jobGroupName)`
`void` | `resumeJobGroup(String instanceId, String jobGroupName)`
`void` | `resumeTrigger(String instanceId, String triggerName, String triggerGroupName)`
`void` | `resumeTriggerGroup(String instanceId, String groupName)`
`Date` | `scheduleJob(String instanceId, String jobName, String jobGroup, String triggerName, String triggerGroup)`
`void` | `schedulerError(String msg, SchedulerException cause)` Called by the ``Scheduler`` when a serious error has occurred within the scheduler - such as repeated failures in the `JobStore`, or the inability to instantiate a `Job` instance when its `Trigger` has fired.
`void` | `schedulerInStandbyMode()` Called by the ``Scheduler`` to inform the listener that it has move to standby mode.
`void` | `schedulerShutdown()` Called by the ``Scheduler`` to inform the listener that it has shutdown.
`void` | `schedulerShuttingdown()` Called by the ``Scheduler`` to inform the listener that it has begun the shutdown process.
`void` | `schedulerStarted()` Called by the ``Scheduler`` to inform the listener that it has started.
`void` | `sendNotification(String eventType)` sendNotification
`void` | `sendNotification(String eventType, Object data)` sendNotification
`void` | `sendNotification(String eventType, Object data, String msg)` sendNotification
`void` | `setSampledStatisticsEnabled(boolean enabled)`
`void` | `shutdown()`
`void` | `standby()`
`void` | `start()`
`void` | `triggerFinalized(Trigger trigger)` Called by the ``Scheduler`` when a ``Trigger`` has reached the condition in which it will never fire again.
`void` | `triggerJob(String instanceId, String jobName, String jobGroupName, Map<String,String> jobDataMap)`
`void` | `triggerJobWithVolatileTrigger(String instanceId, String jobName, String jobGroupName, Map<String,String> jobDataMap)`
`void` | `triggersPaused(String triggerName, String triggerGroup)` Called by the ``Scheduler`` when a ``Trigger`` or group of ``Trigger`s` has been paused.
`void` | `triggersResumed(String triggerName, String triggerGroup)` Called by the ``Scheduler`` when a ``Trigger`` or group of ``Trigger`s` has been un-paused.
`boolean` | `unscheduleJob(String instanceId, String triggerName, String triggerGroup)`

Methods inherited from class javax.management.StandardMBean
`cacheMBeanInfo, getAttribute, getAttributes, getCachedMBeanInfo, getClassName, getConstructors, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getImpact, getImplementation, getImplementationClass, getMBeanInfo, getMBeanInterface, getParameterName, getParameterName, invoke, postDeregister, postRegister, preDeregister, preRegister, setAttribute, setAttributes, setImplementation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### emitter

    protected final org.quartz.core.QuartzSchedulerMBeanImpl.Emitter emitter

  emitter

### sequenceNumber

    protected final AtomicLong sequenceNumber

  sequenceNumber

Constructor Detail

### QuartzSchedulerMBeanImpl

    protected QuartzSchedulerMBeanImpl(QuartzScheduler scheduler)
                                throws NotCompliantMBeanException

  QuartzSchedulerMBeanImpl

  Throws:
    `NotCompliantMBeanException`

Method Detail

### getCurrentlyExecutingJobs

    public TabularData getCurrentlyExecutingJobs()
                                          throws SchedulerException

  Specified by:
    `getCurrentlyExecutingJobs` in interface `QuartzSchedulerMBean`
  Returns:
    TabularData of CompositeData:JobExecutionContext
  Throws:
    `SchedulerException`

### getAllJobDetails

    public TabularData getAllJobDetails(String instanceId)
                                 throws SchedulerException

  Specified by:
    `getAllJobDetails` in interface `QuartzSchedulerMBean`
  Returns:
    TabularData of CompositeData:JobDetail
  Throws:
    `SchedulerException`
  See Also:
    `JobDetailSupport`

### getAllTriggers

    public TabularData getAllTriggers(String instanceId)
                               throws SchedulerException

  Specified by:
    `getAllTriggers` in interface `QuartzSchedulerMBean`
  Returns:
    TabularData of CompositeData:Trigger
  Throws:
    `SchedulerException`
  See Also:
    `TriggerSupport`

### addJob

    public void addJob(String instanceId,
                       CompositeData jobDetail,
                       boolean replace)
                throws SchedulerException

  Specified by:
    `addJob` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### deleteCalendar

    public void deleteCalendar(String instanceId,
                               String name)
                        throws SchedulerException

  Specified by:
    `deleteCalendar` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### deleteJob

    public boolean deleteJob(String instanceId,
                             String jobName,
                             String jobGroupName)
                      throws SchedulerException

  Specified by:
    `deleteJob` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### getCalendarNames

    public String[] getCalendarNames(String instanceId)
                              throws SchedulerException

  Specified by:
    `getCalendarNames` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### getJobDetail

    public CompositeData getJobDetail(String instanceId,
                                      String jobName,
                                      String jobGroupName)
                               throws SchedulerException

  Specified by:
    `getJobDetail` in interface `QuartzSchedulerMBean`
  Returns:
    CompositeData:JobDetail
  Throws:
    `SchedulerException`
  See Also:
    `JobDetailSupport`

### getJobGroupNames

    public String[] getJobGroupNames(String instanceId)
                              throws SchedulerException

  Specified by:
    `getJobGroupNames` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### getJobNames

    public String[] getJobNames(String instanceId,
                                String groupName)
                         throws SchedulerException

  Specified by:
    `getJobNames` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### getJobStoreClassName

    public String getJobStoreClassName()

  Specified by:
    `getJobStoreClassName` in interface `QuartzSchedulerMBean`

### getPausedTriggerGroups

    public Set<String> getPausedTriggerGroups(String instanceId)
                                       throws SchedulerException

  Specified by:
    `getPausedTriggerGroups` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### getTrigger

    public CompositeData getTrigger(String instanceId,
                                    String triggerName,
                                    String triggerGroupName)
                             throws SchedulerException

  Specified by:
    `getTrigger` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### getTriggerGroupNames

    public String[] getTriggerGroupNames(String instanceId)
                                  throws SchedulerException

  Specified by:
    `getTriggerGroupNames` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### getTriggerNames

    public String[] getTriggerNames(String instanceId,
                                    String triggerGroupName)
                             throws SchedulerException

  Specified by:
    `getTriggerNames` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### getTriggerState

    public int getTriggerState(String instanceId,
                               String triggerName,
                               String triggerGroupName)
                        throws SchedulerException

  Specified by:
    `getTriggerState` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### getTriggersOfJob

    public TabularData getTriggersOfJob(String instanceId,
                                        String jobName,
                                        String jobGroupName)
                                 throws SchedulerException

  Specified by:
    `getTriggersOfJob` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### interruptJob

    public boolean interruptJob(String instanceId,
                                String jobName,
                                String jobGroupName)
                         throws UnableToInterruptJobException

  Specified by:
    `interruptJob` in interface `QuartzSchedulerMBean`
  Throws:
    `UnableToInterruptJobException`

### scheduleJob

    public Date scheduleJob(String instanceId,
                            String jobName,
                            String jobGroup,
                            String triggerName,
                            String triggerGroup)
                     throws SchedulerException

  Specified by:
    `scheduleJob` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### unscheduleJob

    public boolean unscheduleJob(String instanceId,
                                 String triggerName,
                                 String triggerGroup)
                          throws SchedulerException

  Specified by:
    `unscheduleJob` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### getVersion

    public String getVersion()

  Specified by:
    `getVersion` in interface `QuartzSchedulerMBean`

### isShutdown

    public boolean isShutdown()

  Specified by:
    `isShutdown` in interface `QuartzSchedulerMBean`

### isStarted

    public boolean isStarted()

  Specified by:
    `isStarted` in interface `QuartzSchedulerMBean`

### start

    public void start()
               throws SchedulerException

  Specified by:
    `start` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### shutdown

    public void shutdown()

  Specified by:
    `shutdown` in interface `QuartzSchedulerMBean`

### standby

    public void standby()

  Specified by:
    `standby` in interface `QuartzSchedulerMBean`

### isStandbyMode

    public boolean isStandbyMode()

  Specified by:
    `isStandbyMode` in interface `QuartzSchedulerMBean`

### getSchedulerName

    public String getSchedulerName()

  Specified by:
    `getSchedulerName` in interface `QuartzSchedulerMBean`

### getSchedulerInstanceId

    public String getSchedulerInstanceId()

  Specified by:
    `getSchedulerInstanceId` in interface `QuartzSchedulerMBean`

### getThreadPoolClassName

    public String getThreadPoolClassName()

  Specified by:
    `getThreadPoolClassName` in interface `QuartzSchedulerMBean`

### getThreadPoolSize

    public int getThreadPoolSize()

  Specified by:
    `getThreadPoolSize` in interface `QuartzSchedulerMBean`

### pauseJob

    public void pauseJob(String instanceId,
                         String jobName,
                         String groupName)
                  throws SchedulerException

  Specified by:
    `pauseJob` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### pauseJobGroup

    public void pauseJobGroup(String instanceId,
                              String jobGroupName)
                       throws SchedulerException

  Specified by:
    `pauseJobGroup` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### pauseAllTriggers

    public void pauseAllTriggers(String instanceId)
                          throws SchedulerException

  Specified by:
    `pauseAllTriggers` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### pauseTriggerGroup

    public void pauseTriggerGroup(String instanceId,
                                  String groupName)
                           throws SchedulerException

  Specified by:
    `pauseTriggerGroup` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### pauseTrigger

    public void pauseTrigger(String instanceId,
                             String triggerName,
                             String triggerGroup)
                      throws SchedulerException

  Specified by:
    `pauseTrigger` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### resumeAllTriggers

    public void resumeAllTriggers(String instanceId)
                           throws SchedulerException

  Specified by:
    `resumeAllTriggers` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### resumeJob

    public void resumeJob(String instanceId,
                          String jobName,
                          String jobGroupName)
                   throws SchedulerException

  Specified by:
    `resumeJob` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### resumeJobGroup

    public void resumeJobGroup(String instanceId,
                               String jobGroupName)
                        throws SchedulerException

  Specified by:
    `resumeJobGroup` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### resumeTrigger

    public void resumeTrigger(String instanceId,
                              String triggerName,
                              String triggerGroupName)
                       throws SchedulerException

  Specified by:
    `resumeTrigger` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### resumeTriggerGroup

    public void resumeTriggerGroup(String instanceId,
                                   String groupName)
                            throws SchedulerException

  Specified by:
    `resumeTriggerGroup` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### triggerJobWithVolatileTrigger

    public void triggerJobWithVolatileTrigger(String instanceId,
                                              String jobName,
                                              String jobGroupName,
                                              Map<String,String> jobDataMap)
                                       throws SchedulerException

  Specified by:
    `triggerJobWithVolatileTrigger` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### triggerJob

    public void triggerJob(String instanceId,
                           String jobName,
                           String jobGroupName,
                           Map<String,String> jobDataMap)
                    throws SchedulerException

  Specified by:
    `triggerJob` in interface `QuartzSchedulerMBean`
  Throws:
    `SchedulerException`

### jobAdded

    public void jobAdded(JobDetail jobDetail)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` has been added.

  Specified by:
    `jobAdded` in interface `SchedulerListener`

### jobDeleted

    public void jobDeleted(String jobName,
                           String groupName)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` has been deleted.

  Specified by:
    `jobDeleted` in interface `SchedulerListener`

### jobScheduled

    public void jobScheduled(Trigger trigger)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` is scheduled.

  Specified by:
    `jobScheduled` in interface `SchedulerListener`

### jobUnscheduled

    public void jobUnscheduled(String triggerName,
                               String triggerGroup)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` is unscheduled.

  Specified by:
    `jobUnscheduled` in interface `SchedulerListener`

### jobsPaused

    public void jobsPaused(String jobName,
                           String jobGroup)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` or group of ``JobDetail`s` has been paused.

  If a group was paused, then the `jobName` parameter will be null. If all jobs were paused, then both parameters will be null.

  Specified by:
    `jobsPaused` in interface `SchedulerListener`

### jobsResumed

    public void jobsResumed(String jobName,
                            String jobGroup)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` or group of ``JobDetail`s` has been un-paused.

  If a group was resumed, then the `jobName` parameter will be null. If all jobs were paused, then both parameters will be null.

  Specified by:
    `jobsResumed` in interface `SchedulerListener`

### schedulerError

    public void schedulerError(String msg,
                               SchedulerException cause)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a serious error has occurred within the scheduler - such as repeated failures in the `JobStore`, or the inability to instantiate a `Job` instance when its `Trigger` has fired.

  The `getErrorCode()` method of the given SchedulerException can be used to determine more specific information about the type of error that was encountered.

  Specified by:
    `schedulerError` in interface `SchedulerListener`

### schedulerStarted

    public void schedulerStarted()

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` to inform the listener that it has started.

  Specified by:
    `schedulerStarted` in interface `SchedulerListener`

### schedulerInStandbyMode

    public void schedulerInStandbyMode()

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` to inform the listener that it has move to standby mode.

  Specified by:
    `schedulerInStandbyMode` in interface `SchedulerListener`

### schedulerShutdown

    public void schedulerShutdown()

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` to inform the listener that it has shutdown.

  Specified by:
    `schedulerShutdown` in interface `SchedulerListener`

### schedulerShuttingdown

    public void schedulerShuttingdown()

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` to inform the listener that it has begun the shutdown process.

  Specified by:
    `schedulerShuttingdown` in interface `SchedulerListener`

### triggerFinalized

    public void triggerFinalized(Trigger trigger)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``Trigger`` has reached the condition in which it will never fire again.

  Specified by:
    `triggerFinalized` in interface `SchedulerListener`

### triggersPaused

    public void triggersPaused(String triggerName,
                               String triggerGroup)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``Trigger`` or group of ``Trigger`s` has been paused.

  If a group was paused, then the `triggerName` parameter will be null.

  Specified by:
    `triggersPaused` in interface `SchedulerListener`

### triggersResumed

    public void triggersResumed(String triggerName,
                                String triggerGroup)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``Trigger`` or group of ``Trigger`s` has been un-paused.

  If a group was resumed, then the `triggerName` parameter will be null.

  Specified by:
    `triggersResumed` in interface `SchedulerListener`

### getName

    public String getName()

  Description copied from interface: `JobListener`

  Get the name of the `JobListener`.

  Specified by:
    `getName` in interface `JobListener`

### jobExecutionVetoed

    public void jobExecutionVetoed(JobExecutionContext context)

  Description copied from interface: `JobListener`

  Called by the ``Scheduler`` when a ``JobDetail`` was about to be executed (an associated ``Trigger`` has occurred), but a ``TriggerListener`` vetoed it's execution.

  Specified by:
    `jobExecutionVetoed` in interface `JobListener`
  See Also:
    `JobListener.jobToBeExecuted(JobExecutionContext)`

### jobToBeExecuted

    public void jobToBeExecuted(JobExecutionContext context)

  Description copied from interface: `JobListener`

  Called by the ``Scheduler`` when a ``JobDetail`` is about to be executed (an associated ``Trigger`` has occurred).

  This method will not be invoked if the execution of the Job was vetoed by a ``TriggerListener``.

  Specified by:
    `jobToBeExecuted` in interface `JobListener`
  See Also:
    `JobListener.jobExecutionVetoed(JobExecutionContext)`

### jobWasExecuted

    public void jobWasExecuted(JobExecutionContext context,
                               JobExecutionException jobException)

  Description copied from interface: `JobListener`

  Called by the ``Scheduler`` after a ``JobDetail`` has been executed, and be for the associated `Trigger`'s `triggered(xx)` method has been called.

  Specified by:
    `jobWasExecuted` in interface `JobListener`

### sendNotification

    public void sendNotification(String eventType)

  sendNotification

  Parameters:
    `eventType` -

### sendNotification

    public void sendNotification(String eventType,
                                 Object data)

  sendNotification

  Parameters:
    `eventType` -
    `data` -

### sendNotification

    public void sendNotification(String eventType,
                                 Object data,
                                 String msg)

  sendNotification

  Parameters:
    `eventType` -
    `data` -
    `msg` -

### addNotificationListener

    public void addNotificationListener(NotificationListener notif,
                                        NotificationFilter filter,
                                        Object callBack)

  Specified by:
    `addNotificationListener` in interface `NotificationBroadcaster`
  See Also:
    `NotificationBroadcaster.addNotificationListener(javax.management.NotificationListener, javax.management.NotificationFilter, java.lang.Object)`

### getNotificationInfo

    public MBeanNotificationInfo[] getNotificationInfo()

  Specified by:
    `getNotificationInfo` in interface `NotificationBroadcaster`
  See Also:
    `NotificationBroadcaster.getNotificationInfo()`

### removeNotificationListener

    public void removeNotificationListener(NotificationListener listener)
                                    throws ListenerNotFoundException

  Specified by:
    `removeNotificationListener` in interface `NotificationBroadcaster`
  Throws:
    `ListenerNotFoundException`
  See Also:
    `NotificationBroadcaster.removeNotificationListener(javax.management.NotificationListener)`

### removeNotificationListener

    public void removeNotificationListener(NotificationListener notif,
                                           NotificationFilter filter,
                                           Object callBack)
                                    throws ListenerNotFoundException

  Specified by:
    `removeNotificationListener` in interface `NotificationEmitter`
  Throws:
    `ListenerNotFoundException`
  See Also:
    `NotificationEmitter.removeNotificationListener(javax.management.NotificationListener, javax.management.NotificationFilter, java.lang.Object)`

### isSampledStatisticsEnabled

    public boolean isSampledStatisticsEnabled()

  Specified by:
    `isSampledStatisticsEnabled` in interface `QuartzSchedulerMBean`

### setSampledStatisticsEnabled

    public void setSampledStatisticsEnabled(boolean enabled)

  Specified by:
    `setSampledStatisticsEnabled` in interface `QuartzSchedulerMBean`

### getJobsCompletedMostRecentSample

    public long getJobsCompletedMostRecentSample()

  Specified by:
    `getJobsCompletedMostRecentSample` in interface `QuartzSchedulerMBean`

### getJobsExecutedMostRecentSample

    public long getJobsExecutedMostRecentSample()

  Specified by:
    `getJobsExecutedMostRecentSample` in interface `QuartzSchedulerMBean`

### getJobsScheduledMostRecentSample

    public long getJobsScheduledMostRecentSample()

  Specified by:
    `getJobsScheduledMostRecentSample` in interface `QuartzSchedulerMBean`

### getPerformanceMetrics

    public Map<String,Long> getPerformanceMetrics()

  Specified by:
    `getPerformanceMetrics` in interface `QuartzSchedulerMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2012, Terracotta, Inc.